Wednesday, September 20, 2017

Greasemonkey 4 Announcement

Greasemonkey has been a Firefox extension for well over a decade, with version 0.3.5 dating from 2005.  We've grown and changed a lot over that time.  With the upcoming Firefox 57 release, we need to change even more.  Mozilla is completely replacing the extension system in Firefox, to align with the budding Browser Extension standard, based on/shared with Google Chrome.

As a result, version 4 of Greasemonkey is a nearly complete re-write.  Its interface and feature set have been rebuilt in order to best to work with coming Firefox versions.  A variety of compromises have been made.  We've elected to make a rare backwards incompatible change.

If you are a regular user, please continue reading Greasemonkey 4 For Users.

If you are a developer, please continue reading Greasemonkey 4 For Script Authors.


Kees said...

When will Greasmonkey 4 be available from AMO? As Fx 57 is the current developer edition I would ike to have a compatible and working GM...

arantius said...

The first alpha build is available from the developer channel now:

But it's not a pure webextension yet, it is an embedded one, because it's impossible to upload a legacy version after a pure webextension. I might still need to update the embedded-for-data-migration legacy version still.

As mentioned in the main post, feedback is welcome. There's probably things that don't work yet.

Kees said...

Unfortunately I'm unable to install this embedded WebExtension due to the fact that I already upgraded to Firefox 57. Is this embedded WebExtension already compatible with Firefox 57 and how can I manually install the WE version?